UPDATE-PASSWD(8)

NAME
update-passwd - safely update /etc/passwd and /etc/group databases

SYNOPSIS
update-passwd [options] ...

DESCRIPTION
update-passwd handles updates of /etc/passwd and /etc/group on running Debian systems. It compares the current /etc/passwd and group files to master copies, usually distributed in updates of the base-passwd package, and updates all entries in the global system range (that is, 0-99).

OPTIONS
update-passwd follows the usual GNU command line syntax, with long options starting with two dashes (`-').

-g, --group-master=FILE
    Use FILE as the master group database, instead of the default. Really only useful for debugging purposes.

-p, --passwd-master=FILE
    Use FILE as the master password database, instead of the default. Also for debugging.

-q, --quiet
    Don't display any messages about changes being made. Note that this will not supress error messages, however.

-s, --sanity-check
    Perform a quick test on the system's group and paswd files before changing anything. update-passwd expects the global system entries to be at the beginning of each database, in numerical order. If this isn't the case, the sanity check will report an error and no changes will be made. --sanity-check should always be used when invoked in scripts on unfamiliar systems.

--help
    Show summary of options.

--version
    Show version of program.

FILES
Unless otherwise specified, the password and group master files are /usr/share/base-passwd/passwd.master and /usr/share/base-passwd/group.master, respectively.

BUGS
update-passwd is not very smart yet. It only updates the databases, it makes no attempt to assure system consistency. If a uid/gid you're using on your system is eliminated or changed, it could cause trouble.

AUTHOR
Galen Hazelwood <galenh@micron.net>

This program was written for the Debian Linux distribution, and is Copyright (C) 1997 Software in the Public Interest. It is distributed under the GNU General Public License.